``sudo``
========

This module installs and configures ``sudo(8)``.
This is only internal documentation, Hiera configuration is done in the :doc:`aaa profile<../profiles/aaa>`.

Parameters
----------


``allow_sudoers_d``
~~~~~~~~~~~~~~~~~~~

This boolean determines whether the files in ``/etc/sudoers.d/`` are included in
the sudo configuration.


Defined types
-------------

``sudo::rules``
~~~~~~~~~~~~~~~

This defined type accepts a parameter ``rules``, which is an array of strings to
be added to ``/etc/sudoers``.
